Subject: Proposed IBIS librarian protocol

From: [email-masked]
Date: Thu, 15 Sep 94 14:24:32 EDT

Please Comment:

Procedure for Submitting IBIS Models for Inclusion in the IBIS Model Library.

			       DRAFT 
			  September 9, 1994

		    Michael Steer <[email-masked]>

Vendors and others are encouraged to submit IBIS models to the IBIS model
library.  The models are maintained by the IBIS librarian who can be reached
via email at [email-masked] .

  1.  Before submission models must be readable by the Golden
      Parser with out errors or warning messages being generated.

  2.  A submission should consist of the following:

      a.  A readme file ( named IBIS.RED ) including the following
	  
	  Name of Person Submitting:   XXXXXXXXXXXX
	  Address:     XXXXXXXXXXXXXXXXXXXXXXXXXXXX
	  Affiliation: XXXXXXXXXXXXXXXXXXXXXXXXXXXX
	  E-Mail:      XXXXXXXXXXXXXXX
	  Telephone Number: XXXXXXXXXXXXXXXXXXXXXXX
	  Fax Number:       XXXXXXXXXXXXXXXXXXXXXXX
	  Suggested Top Directory XXXXXXXXXXXXXXXXx
	    Structure for models

      b.  A Model Transfer Agreement (sample below) must be signed and mailed
          to the IBIS librarian see vhdl.org:/pub/IBIS/models/library.faq.

	  The model check-in procedure will not be finalized until
	  this agreement has been received by the IBIS librarian.
          Check with the librarian via email using the address
          [email-masked]  (not yet established).

      c.  All files should be
	      gnu tar'ed and uuencoded
	  OR  tar'ed and compressed and uuencoded
	  OR  zip'ed and uuencoded 
	  into a single file before mailing.  Files should be mailed to 
	  the IBIS librarian.   Expect an acknowledgement within two days.

  3.  When models are received:
	 a. The following will be added to each IBIS file:

             [Disclaimer] IBIS Open Forum disclaims all warranties. See
	     disclaim.txt in vhdl.org:/pub/IBIS/models for full disclaimer.

	 b. The IBIS models will be checked with the Golden Parser and if
	    they parse successfully they will be accepted.

  4.   The IBIS models will be treated as confidential until they are
       publically released.  When new models are added an announcement will
       be made.
       
  5.   The Librarian may change from time-to-time and so the
       file vhdl.org:/pub/ibis/models/library.faq
       should be consulted for contact information.  However
       the librarian can always be contacted via email using
       [email-masked]  (not yet established).

 ==============================================================================
		                  SAMPLE
		    
		    IBIS Model Transfer Agreement

The under-signed submitter has submitted the following models to
the IBIS library (list model filenames)

-------------------------------------------------------------------------------

-------------------------------------------------------------------------------

-------------------------------------------------------------------------------

Hereafter these will be referred to as the "Work".

The submitter represents that the Work can be made publicly available.
Furthermore the submitter represents that the Work does not infringe on
the proprietary rights of others.

The model files will be provided as is except for the addition of the
following statement to each file:

     IBIS Open Forum disclaims all warranties. See disclaim.txt (see sample
     below) in vhdl.org:/pub/IBIS/models for full disclaimer.

If the models were written as a work made for hire in the course of
employment, the Work is owned by the company/employer which must sign this
agreement in the space provided below.

Submitter's Signature and Date _______________________________

Typed or Printed Name          _______________________________

Institution or Company         _____________________________________________

Authorization (if required)    _______________________________

Typed or Printed Name          _______________________________

Please Check
___________

			 ___
  Submitter's Own Work   |  |
			 |__|
			 ___
  Work done for Hire     |  |
			 |__|

 ==============================================================================
		                  SAMPLE
				DISCLAIMER

disclaim.txt

The IBIS Open Forum disclaims all implied warranties, including the implied
warranties of merchantability and fitness for a particular purpose.
The IBIS Open Forum is not liable for any damages incurred by the use of this
software and/or documentation, including direct, indirect, special, incidental,
or consequential damages.  All the files within this directory are provided as
is. The user assumes all responsibility for using these files.

================================================================================

library.faq

Current Librarian:   Michael Steer
e-mail:              [email-masked]
facsimile:           (+1)-919-515-3027
Address              Department of Electrical and Computer Engineering
		     Daniels Hall
		     North Carolina State University
		     Raleigh, North Carolina 27695-7911
		     U.S.A.

Responsibilities:    The IBIS librarian maintains the IBIS models
		     stored on vhdl.org in the directory /pub/ibis/models .

================================================================================

OPEN ISSUES

1. The mail address ibis-librarian.org needs to be established.

2. Mail sent to [email-masked] should be stored on vhdl.org
   and forwarded to [email-masked] .

3. The disclaimers have not been ratified by a lawyer.

4. New models will be announced  to the [email-masked] maillist.

5. No differentiation will be made between IBIS versions.

6. All IBIS model versions of the same part will be kept in the library.

---

From: "J. Eric Bracken" <[email-masked]>
Date: Thu, 15 Sep 1994 16:12:31 -0400

>>	  into a single file before mailing.  Files should be mailed to 

UUENCODE is bad news for some mailers.  Sometimes, as part of its
encoding, it uses blank spaces at the end of a line.  Certain 
mailers will remove the blanks from the end of the line, because
they don't add any information for a HUMAN reading the message...

It makes for serious heartbreaks when it happens, because you have to
edit the file somehow to add the spaces.  Not fun.

There's another up-and-coming standard for transfers of binary
data via e-mail, called MIME (Multi-purpose Internet Mail Extensions, 
RFC 1341), that works a lot better.  To quote from the FAQ:

	One of the best things about MIME is that it's a "four-wheel drive
	protocol", to borrow a description of PhoneNet from Einar Stefferud.
	MIME was carefully designed to survive many of the most bizarre
	variations of SMTP, UUCP, and Procrustean mail transport protocols,
	such as BITNET and MMDF, that like to slice, dice, and stretch the
	headers and bodies of email messages.

At its simplest, the UUENCODE/UUDECODE programs are replaced in MIME by
the "mmencode" program, which is available (in source form) by anonymous 
FTP from thumper.bellcore.com, /pub/nsb/mm2.7.tar.Z.  Runs under both
DOS & UNIX.

This format should probably be made available to IBIS Library users as an 
alternative to UUENCODE.

--Eric

    |      .'`_'`_'`_'`_'`_'`_'`_'`_'`_'`_'`_'`_'`_'`_'`_'.       |
    | (*)  |My Opinions are mine and mine alone!!         |  \^/  |
    T_<">_.|~.  .~.  .~.  .~.  .~.  .~.  .~.  .~.  .~.  .~|._(#)_ |
    o\ ^ /\|  ~~   ~~   ~~   ~~   ~~   ~~   ~~   ~~   ~~  |/\`^'/(=)
     /_Y_\ | J. Eric Bracken                              | /_X_\
[email-masked]|_|b________